Subject: Re: Can't build apache + mod_ssl + openssl on cygwin 1.3.3
From: Stipe Tolj <[email-masked]>
To: MindTerm <[email-masked]>
Cc: [email-masked]
Date: Wed, 03 Oct 2001 21:51:53 +0200

Hi,

>   $ ./configure --with-apache=../apache_1.3.x
> --with-ssl=../openssl-0.9.x

I suppose this configure statement has been given within the mod_ssl
directory.

>   Got a error when doing "make" :
> ===> src/modules/ssl
> gcc -c  -I../../os/cygwin -I../../include   -DCYGWIN
> -DMOD_SSL=208104 -DMOD_SSL=
> 208104 -DUSE_HSREGEX -DUSE_EXPAT
> -I../../lib/expat-lite -DNO_DL_NEEDED `../../ap
> aci` -DSSL_USE_SDBM
> -I/cygdrive/c/learning/openssl-0.9.6b/include
> -DMOD_SSL_VERS
> ION=\"2.8.4\" mod_ssl.c
> In file included from mod_ssl.c:65:
> mod_ssl.h:73: #error "mod_ssl requires Extended API
> (EAPI)"
> make[4]: *** [mod_ssl.o] Error 1
> make[3]: *** [all] Error 1
> make[2]: *** [subdirs] Error 1
> make[2]: Leaving directory
> `/cygdrive/c/learning/apache_1.3.20/src'
> make[1]: *** [build-std] Error 2
> make[1]: Leaving directory
> `/cygdrive/c/learning/apache_1.3.20'
> make: *** [build] Error 2

That's ok. mod_ssl requires you that _at least one_ configure run has
been done for apache itself, without mod_ssl.

So you should proceed as follows:

  $ cd apache-1.x
  $ ./configure
  $ cd ../mod_ssl-x
  $ ./configure --with-apache=... --with-openssl=...

This is normal mod_ssl behaviour, because mod_ssl patches apache's
source tree and includes the EAPI (extended API) that is needed for
certain socket hooks of the ssl part.

Stipe

[email-masked]
-------------------------------------------------------------------
Wapme Systems AG

Münsterstr. 248
40470 Düsseldorf

Tel: +49-211-74845-0
Fax: +49-211-74845-299

E-Mail: [email-masked]
Internet: http://www.wapme-systems.de
-------------------------------------------------------------------
wapme.net - wherever you are

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/